:root {
}

* {
    box-sizing: border-box;
}

body {
    background: #FFF;
}

body, p, div, h1, h2, h3, h4, td, input, select, button {
    font-family: Poppins
}

.toolbar {
    margin: 0.5em;
}

button {
    background: var(--action-bg);
    color: var(--action-fg);
    border-radius: var(--control-radius);
    padding: 0.25em 0.5em;
    border: none;
    outline: none;
}

button:hover {
    background: var(--action-hover-bg);
    color: var(--action-hover-fg);
}

input, 
select,
textarea {
    padding: 0.25em 0.5em;
}

header {
    padding: 0;
    margin-bottom: 0.5em;
    background: var(--header-bg);
}

button.logout {
    color: #ff2496 !important;
    border: 1px solid #ff2496;
    background: #ffffff;
    width: 2em;
    height: 26px;
    border-radius: 10px;
    top: 0;
}

.login-component {
    max-width: 400px;
    padding: 1em;
    margin: 1em;
    background: #f0f8ff;
}

.login-component button {
    font-size: 1.25em;
}

.login-component .controls,
.login-component .login-option {
    margin-top: 1em;
}

.login-component .username input,
.login-component .password input {
    font-size: 1em;
    width: 100%;
    padding: 0.25em;
}

.login-component .password input {
    width: calc(100% - 4em);
}

.login-component .password {
    margin-top: 0.5em;
}

.login-component .password i.pwd {
    padding-left: 0.5em;
    font-style: normal;
}

nav {
    background: none !important;
    padding: 0 !important;
}


tr.header-groups th.group-name {
    border-bottom: 2px solid #bbbbbb;
    border-radius: 0;
}

tr.header-groups th {
    border: none;
    padding: 0.25rem 0.5rem;
    font-size: 0.8rem;
}

.detailed th,
.detailed tr:not(.pager-row) th *:not(i),
.detailed td,
.detailed td *:not(i) {
    font-family: Pragati Narrow;
    font-size: 17px;
}

.detailed td.guid {
    width: auto !important;
    white-space: nowrap;
}

.detailed td.guid * {
    font-size: 13px !important;
    text-wrap: balance;
}

tr.last-seen {
    box-shadow: 0 0 10px -2px;
}


.popup .pager .buttons {
    box-shadow: none;
}

.koa-date-filter .date-filter-ui .date-filter-range {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    margin-top: 1.5rem;
}

.koa-date-filter .date-filter-ui.show {
    width: 330px
}

.koa-date-filter .date-filter-ui.show button {
    padding: 0.25em 0.5em;
    line-height: unset;
    margin: 0;
}

.koa-date-filter .date-filter-ui.show * {
    font-size: 13px;
}

.koa-date-filter .date-filter-ui .date-filter-mode {
    margin-bottom: 1rem;
}

.koa-date-filter .date-filter-side, .date-filter-single {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

th .koa-date-filter {
    min-width: 7em;
}

.koa-date-filter .date-filter-ui button.selected {
    background: var(--pink);
}


.cost.debit {
    color: #c7002b;
}

.cost.credit {
    color: #058c02;
}

.bank-transaction-manager table {
    margin: 0;
    overflow: visible;
}

.bank-transaction-manager td {
    padding: 2px 12px
}

table thead input,
table thead select {
    background: #d1e3e0;
    border-radius: 5px;
    height: 40px;
}

table thead input:focus,
table thead select:focus {
    border: 1px solid #d1e3e0 !important;
}

.h-align {
    display: inline-flex;
    align-items: center;
    gap: 0.5em;
}

ul.toolbar li.right {
    justify-self: flex-end;
    justify-content: flex-end;
    margin-left: auto;
}

td .category {
    background: #eaeaea;
    color: #909090;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    min-width: 1em;
    min-height: 1.5em;
    vertical-align: middle;
    border-radius: 5px;
    font-size: 0.85rem !important;
    font-weight: 600;
    padding: 0 0.5em;
}

td .category.populated {
    background: #bcf4ea;
    padding: 0 0.75em;
    color: #000000;
}

td .category:before {
    content: '...'
}

td .category.populated:before {
    content: '';
}

td .category:hover {
    opacity: 0.5;
}

.koa-menu .logout {
    display: flex !important;
}

.koa-menu a:hover {
    background: #016353;
}

td .repeating {
    opacity: 0.25;
}

td .repeating.populated {
    opacity: 1;
}

td .category + .koa-lookup-dropdown {
    font-size: 0.7em !important;
}